function [bx_max,S]=triangle_detector(segment)
ax=1; % x-koordinát vrcholu A
ay=segment(ax); % y-koordinát vrcholu A
cx=length(segment); % x-koordinát vrcholu C
cy=segment(cx); % y-koordinát vrcholu C
% plocha trojúhelníku S=f(B)
S=zeros(length(segment),1);
for k=1:length(segment) % od A do C
    bx=k; % x-koordinát vrcholu B
    by=segment(k); % y-koordinát vrcholu B
    S(k)=0.5*abs((cx-ax)*(by-ay)-(cy-ay)*(bx-ax)); % plocha
%     if by>ay
%         S(k) = -S(k); 
%     end
end
[~,bx_max]=max(S); % x-koordinát vrcholu B s maximální plochou trojúhelníku

end